---
title: border-right-style
slug: Web/CSS/border-right-style
tags:
  - CSS
  - CSS Borders
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>border-right-style</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the line style of an element's right {{cssxref("border")}}.</p>

<div>{{EmbedInteractiveExample("pages/css/border-right-style.html")}}</div>

<div class="note"><strong>Note:</strong> The specification doesn't define how borders of different styles connect in the corners.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
border-right-style: none;
border-right-style: hidden;
border-right-style: dotted;
border-right-style: dashed;
border-right-style: solid;
border-right-style: double;
border-right-style: groove;
border-right-style: ridge;
border-right-style: inset;
border-right-style: outset;

/* Global values */
border-right-style: inherit;
border-right-style: initial;
border-right-style: unset;
</pre>

<p>The <code>border-right-style</code> property is specified as a single keyword chosen from those available for the {{cssxref("border-style")}} property.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Border_styles">Border styles</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;table&gt;
  &lt;tr&gt;
    &lt;td class="b1"&gt;none&lt;/td&gt;
    &lt;td class="b2"&gt;hidden&lt;/td&gt;
    &lt;td class="b3"&gt;dotted&lt;/td&gt;
    &lt;td class="b4"&gt;dashed&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td class="b5"&gt;solid&lt;/td&gt;
    &lt;td class="b6"&gt;double&lt;/td&gt;
    &lt;td class="b7"&gt;groove&lt;/td&gt;
    &lt;td class="b8"&gt;ridge&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td class="b9"&gt;inset&lt;/td&gt;
    &lt;td class="b10"&gt;outset&lt;/td&gt;
  &lt;/tr&gt;
&lt;/table&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">/* Define look of the table */
table {
  border-width: 2px;
  background-color: #52E385;
}
tr, td {
  padding: 3px;
}

/* border-right-style example classes */
.b1 {border-right-style: none;}
.b2 {border-right-style: hidden;}
.b3 {border-right-style: dotted;}
.b4 {border-right-style: dashed;}
.b5 {border-right-style: solid;}
.b6 {border-right-style: double;}
.b7 {border-right-style: groove;}
.b8 {border-right-style: ridge;}
.b9 {border-right-style: inset;}
.b10 {border-right-style: outset;}</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Border_styles') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Backgrounds', '#the-border-style', 'border-right-style')}}</td>
   <td>{{Spec2('CSS3 Backgrounds')}}</td>
   <td>No significant change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'box.html#border-style-properties', 'border-right-style')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.border-right-style")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The other style-related border properties: {{Cssxref("border-bottom-style")}}, {{Cssxref("border-left-style")}}, {{Cssxref("border-top-style")}}, and {{Cssxref("border-style")}}.</li>
 <li>The other bottom-border-related properties: {{Cssxref("border-right")}}, {{Cssxref("border-right-color")}}, and {{Cssxref("border-right-width")}}.</li>
</ul>
